// creator  : weidu.exe (version 23100)
// argument : _TIBER.DLG
// game		 : .
// source	 : ./override/_TIBER.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_TIBER~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #86241 /* ~He... hello travelers, I'm Tiber.  Could... could I take up some of your time?  I would be very grateful if you would just listen to... if you would just help me!~ */
  IF ~~ THEN REPLY #86242 /* ~Sorry, but we don't have the time to listen to every traveler's problem.~ */ GOTO 1
  IF ~~ THEN REPLY #86243 /* ~What is it that troubles you stranger?~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: _VICONJ:150.0 11.0 10.0 9.0 8.0 7.0 2.0 0.0
  SAY #86244 /* ~That is... I am sorry for bothering you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#AjantisTiber1","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTiber1","GLOBAL",1)~ EXTERN ~_AJANTJ~ 103
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #86245 /* ~Thank you!  Thank... you... it's my brother you see.  He and I went into the Cloakwood to clear the woods of the spider colony that infests it.  I know it sounds foolish... but my brother had found the sword 'Spider's Bane'!  The sword was created to kill spiders... and we thought we could become famous... the heroes of Cloakwood, and all that.  But my brother hasn't returned yet... and it's been more than a week.  Please, could you go into the woods and find him for me... my mother would be so shattered if Chelak were to be dead.~ */
  IF ~~ THEN REPLY #86246 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #86247 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ GOTO 7
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~_MINSCJ~ 161
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 159
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("branwen")
InMyArea("branwen")
!StateCheck("branwen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~_BRANWJ~ 75
  IF ~Global("X#TIBER2","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER2","GLOBAL",1)~ EXTERN ~_VICONJ~ 150
END

IF ~~ THEN BEGIN 3 // from: _VICONJ:150.1 11.1 10.1 9.1 8.1 7.1 2.1
  SAY #86248 /* ~Oh yes!  Please search quickly... his name's Chelak.  Be careful.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #86249 /* ~Spiders in the Cloakwood

We encountered a man named Tiber in the Cloakwood, and told him that we'd try to find his brother, Chelak.  According to Tiber, his brother entered the Cloakwood in an attempt to destroy a spider infestation.~ */ EXIT
  IF ~Global("X#AjantisTiber3","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTiber3","GLOBAL",1)~ EXTERN ~_AJANTJ~ 104
END

IF ~PartyHasItem("_MISC90")
~ THEN BEGIN 4 // from:
  SAY #86250 /* ~Chelak!  Oh... Chelak.  How will I ever tell my mother.  I was so stupid!  I should have stopped this stupid idea.  Such a waste... such a waste.  You can keep the damn sword, it's been more of a curse than anything else.  I thank you for bringing my brother's body.  There was little you could have done.~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ GOTO 12
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ EXTERN ~_FALDOJ~ 117
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ GOTO 14
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ EXTERN ~_FALDOJ~ 119
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ GOTO 18
  IF ~Global("X#TIBER4","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TIBER4","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 162
END

IF ~True()
~ THEN BEGIN 5 // from:
  SAY #86252 /* ~You haven't found Chelak yet... please keep looking.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #99516 /* ~It was. I'll have to go find someone else to help me.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 2.2
  SAY #103111 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #86246 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #86247 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 8 // from:
  SAY #103111 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #86246 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #86247 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 9 // from:
  SAY #103111 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #86246 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #86247 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 10 // from:
  SAY #103111 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #86246 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #86247 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 11 // from: _VICONJ:150.2
  SAY #103111 /* ~Please. What say you, m'<PRO_LADYLORD>?~ */
  IF ~~ THEN REPLY #86246 /* ~Don't have the time, or the inclination.~ */ GOTO 1
  IF ~~ THEN REPLY #86247 /* ~We'll find your brother for you, don't worry.~ */ GOTO 3
END

IF ~~ THEN BEGIN 12 // from: 4.1
  SAY #103117 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 13 // from:
  SAY #103117 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from: 4.3
  SAY #103115 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 15
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 118
END

IF ~~ THEN BEGIN 15 // from: 14.1
  SAY #103117 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #103115 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 17
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 120
END

IF ~~ THEN BEGIN 17 // from: 16.1
  SAY #103117 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from: 4.5
  SAY #103113 /* ~Poor Chelak!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 122
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 19
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 121
END

IF ~~ THEN BEGIN 19 // from: 18.3
  SAY #103115 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 122
END

IF ~~ THEN BEGIN 20 // from: 19.1 18.1
  SAY #103117 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
END

IF ~~ THEN BEGIN 21 // from:
  SAY #103113 /* ~Poor Chelak!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 124
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 22
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 123
END

IF ~~ THEN BEGIN 22 // from: 21.3
  SAY #103115 /* ~Those were the spiders that killed him...~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 124
END

IF ~~ THEN BEGIN 23 // from: 22.1 21.1
  SAY #103117 /* ~May... maybe, but what does it matter now?!~ */
  IF ~~ THEN DO ~AddexperienceParty(800)
TakePartyItem("_MISC90")
EraseJournalEntry(86249)
EscapeArea()
~ SOLVED_JOURNAL #88920 /* ~Spiders in the Cloakwood

We recovered Chelak's corpse from Centeol's lair and returned it to Tiber.  He berated himself for having allowed Chelak to pursue his foolhardy plan, and bade us keep the sword known as Spider's Bane.~ */ EXIT
END
